document.addEventListener('DOMContentLoaded', function() {
  // Simulate loading accounts data
  setTimeout(() => {
    const accountCards = document.querySelectorAll('.account-card');
    accountCards.forEach(card => {
      card.style.opacity = '1';
      card.style.transform = 'translateY(0)';
    });
  }, 300);

  // Add click handlers for action cards
  const actionCards = document.querySelectorAll('.action-card');
  actionCards.forEach(card => {
    card.addEventListener('click', function() {
      const action = this.querySelector('h3').textContent;
      alert(`${action} feature would open here`);
    });
  });

  // User menu interaction
  const userMenu = document.querySelector('.user-menu');
  if (userMenu) {
    userMenu.addEventListener('click', function() {
      alert('User menu would open here');
    });
  }

  // Transaction item interaction
  const transactionItems = document.querySelectorAll('.transaction-item');
  transactionItems.forEach(item => {
    item.addEventListener('click', function() {
      const merchant = this.querySelector('h3').textContent;
      alert(`Details for ${merchant} transaction would show here`);
    });
  });
});